Package org.pentaho.reporting.libraries.formula.parser

# Class GeneratedFormulaParser

java.lang.Object
org.pentaho.reporting.libraries.formula.parser.GeneratedFormulaParser

All Implemented Interfaces:
  `GeneratedFormulaParserConstants`

Direct Known Subclasses:
  `FormulaParser`

public abstract class GeneratedFormulaParser extends Object implements GeneratedFormulaParserConstants

## Field Summary

Fields
Modifier and Type
Field
Description
`Token`
`jj_nt`
Next token.
`Token`
`token`
Current token.
`GeneratedFormulaParserTokenManager`
`token_source`
Generated Token Manager.

### Fields inherited from interface org.pentaho.reporting.libraries.formula.parser.GeneratedFormulaParserConstants

`APPROXIMATE_NUMERIC_LITERAL, BINARY_DIGIT, COLON, COLUMN_LOOKUP, COMMA, CONCAT, DEFAULT, DIGIT, DIV, DQUOTE, EOF, EQUALS, EXACT_NUMERIC_LITERAL, EXPONENT_PART, GT, GT_EQUALS, HEX_DIGIT, IDENTIFIER, L_BRACE, L_BRACKET, L_PAREN, LETTER, LT, LT_EQUALS, MANTISSA, MINUS, MULT, NEWLINE, NON_ZERO_DIGIT, NONQUOTE_CHARACTER, NONQUOTE_LOOKUP, NOT_EQUALS, NULL, PERCENT, PERIOD, PIPE, PLUS, POW, QUEST, QUOTE, R_BRACE, R_BRACKET, R_PAREN, SEMICOLON, SIGN, STRING_LITERAL, tokenImage, UNSIGNED_INTEGER, UNSIGNED_NUMERIC_LITERAL, WHITESPACE`

## Constructor Summary

Constructors
Constructor
Description
`GeneratedFormulaParser(InputStream stream)`
Constructor with InputStream.
`GeneratedFormulaParser(InputStream stream, String encoding)`
Constructor with InputStream and supplied encoding
`GeneratedFormulaParser(Reader stream)`
Constructor.
`GeneratedFormulaParser(GeneratedFormulaParserTokenManager tm)`
Constructor with generated Token Manager.

## Method Summary

Modifier and Type
Method
Description
`final void`
`disable_tracing()`
Disable tracing.
`final void`
`enable_tracing()`
Enable tracing.
`ParseException`
`generateParseException()`
Generate ParseException.
`final LValue`
`getExpression()`
`final InfixOperator`
`getInfixOperator()`
`final LValue`
`getLValue()`
`final Token`
`getNextToken()`
Get the next Token.
`final PostfixOperator`
`getPostfixOperator()`
`final PrefixOperator`
`getPrefixOperator()`
`final Token`
`getToken(int index)`
Get the specific Token.
`final LValue`
`parseArray()`
`final LValue`
`parseFunction(String name, ParsePosition parsePosition)`
`final LValue[]`
`parseRow()`
`void`
`ReInit(InputStream stream)`
Reinitialise.
`void`
`ReInit(InputStream stream, String encoding)`
Reinitialise.
`void`
`ReInit(Reader stream)`
Reinitialise.
`void`
`ReInit(GeneratedFormulaParserTokenManager tm)`
Reinitialise.
`final Term`
`startTail(LValue retval)`
`final boolean`
`trace_enabled()`
Trace enabled.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### token_source

public GeneratedFormulaParserTokenManager token_source
Generated Token Manager.

### token

public Token token
Current token.

### jj_nt

public Token jj_nt
Next token.

## Constructor Details

### GeneratedFormulaParser

public GeneratedFormulaParser(InputStream stream)
Constructor with InputStream.

### GeneratedFormulaParser

public GeneratedFormulaParser(InputStream stream, String encoding)
Constructor with InputStream and supplied encoding

### GeneratedFormulaParser

public GeneratedFormulaParser(Reader stream)
Constructor.

### GeneratedFormulaParser

public GeneratedFormulaParser(GeneratedFormulaParserTokenManager tm)
Constructor with generated Token Manager.

## Method Details

### getExpression

public final LValue getExpression() throws ParseException

Throws:
  `ParseException`

### startTail

public final Term startTail(LValue retval) throws ParseException

Throws:
  `ParseException`

### getLValue

public final LValue getLValue() throws ParseException

Throws:
  `ParseException`

### parseArray

public final LValue parseArray() throws ParseException

Throws:
  `ParseException`

### parseRow

public final LValue[] parseRow() throws ParseException

Throws:
  `ParseException`

### parseFunction

public final LValue parseFunction(String name, ParsePosition parsePosition) throws ParseException

Throws:
  `ParseException`

### getPrefixOperator

public final PrefixOperator getPrefixOperator() throws ParseException

Throws:
  `ParseException`

### getPostfixOperator

public final PostfixOperator getPostfixOperator() throws ParseException

Throws:
  `ParseException`

### getInfixOperator

public final InfixOperator getInfixOperator() throws ParseException

Throws:
  `ParseException`

### ReInit

public void ReInit(InputStream stream)
Reinitialise.

### ReInit

public void ReInit(InputStream stream, String encoding)
Reinitialise.

### ReInit

public void ReInit(Reader stream)
Reinitialise.

### ReInit

public void ReInit(GeneratedFormulaParserTokenManager tm)
Reinitialise.

### getNextToken

public final Token getNextToken()
Get the next Token.

### getToken

public final Token getToken(int index)
Get the specific Token.

### generateParseException

public ParseException generateParseException()
Generate ParseException.

### trace_enabled

public final boolean trace_enabled()
Trace enabled.

### enable_tracing

public final void enable_tracing()
Enable tracing.

### disable_tracing

public final void disable_tracing()
Disable tracing.